<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

/**
 * The Time Zone Container Class
 *
 * @author Varun Shoor
 */
class SWIFT_TimeZoneContainer extends SWIFT_Library
{
	/**
	 * Constructor
	 *
	 * @author Varun Shoor
	 * @return bool "true" on Success, "false" otherwise
	 */
	public function __construct()
	{
		parent::__construct();

		return true;
	}

	/**
	 * Destructor
	 *
	 * @author Varun Shoor
	 * @return bool "true" on Success, "false" otherwise
	 */
	public function __destruct()
	{
		parent::__destruct();

		return true;
	}

	/**
	 * Retrieve the Time Zone List
	 *
	 * @author Varun Shoor
	 * @return mixed "_timeZoneList" (ARRAY) on Success, "false" otherwise
	 * @throws SWIFT_Exception If the Class is not Loaded
	 */
	public function GetTimeZoneList()
	{
		if (!$this->GetIsClassLoaded())
		{
			throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED);

			return false;
		}

		$_timeZoneList = array(
		array('title' => $this->Language->Get('defaulttimezone'), 'value' => ''),
		array('title' => 'UTC', 'value' => 'UTC'),
		array('title' => 'US/Pacific', 'value' => 'US/Pacific'),
		array('title' => 'US/Mountain', 'value' => 'US/Mountain'),
		array('title' => 'US/Central', 'value' => 'US/Central'),
		array('title' => 'US/Eastern', 'value' => 'US/Eastern'),
		array('title' => 'US/Alaska', 'value' => 'US/Alaska'),
		array('title' => 'US/Aleutian', 'value' => 'US/Aleutian'),
		array('title' => 'US/Arizona', 'value' => 'US/Arizona'),
		array('title' => 'US/East-Indiana', 'value' => 'US/East-Indiana'),
		array('title' => 'US/Hawaii', 'value' => 'US/Hawaii'),
		array('title' => 'US/Indiana-Starke', 'value' => 'US/Indiana-Starke'),
		array('title' => 'US/Michigan', 'value' => 'US/Michigan'),
		array('title' => 'US/Pacific-New', 'value' => 'US/Pacific-New'),
		array('title' => 'US/Samoa', 'value' => 'US/Samoa'),
		array('title' => 'Canada/Atlantic', 'value' => 'Canada/Atlantic'),
		array('title' => 'Canada/Central', 'value' => 'Canada/Central'),
		array('title' => 'Canada/East-Saskatchewan', 'value' => 'Canada/East-Saskatchewan'),
		array('title' => 'Canada/Eastern', 'value' => 'Canada/Eastern'),
		array('title' => 'Canada/Mountain', 'value' => 'Canada/Mountain'),
		array('title' => 'Canada/Newfoundland', 'value' => 'Canada/Newfoundland'),
		array('title' => 'Canada/Pacific', 'value' => 'Canada/Pacific'),
		array('title' => 'Canada/Saskatchewan', 'value' => 'Canada/Saskatchewan'),
		array('title' => 'Canada/Yukon', 'value' => 'Canada/Yukon'),
		array('title' => 'Europe/Amsterdam', 'value' => 'Europe/Amsterdam'),
		array('title' => 'Europe/Andorra', 'value' => 'Europe/Andorra'),
		array('title' => 'Europe/Athens', 'value' => 'Europe/Athens'),
		array('title' => 'Europe/Belfast', 'value' => 'Europe/Belfast'),
		array('title' => 'Europe/Belgrade', 'value' => 'Europe/Belgrade'),
		array('title' => 'Europe/Berlin', 'value' => 'Europe/Berlin'),
		array('title' => 'Europe/Bratislava', 'value' => 'Europe/Bratislava'),
		array('title' => 'Europe/Brussels', 'value' => 'Europe/Brussels'),
		array('title' => 'Europe/Bucharest', 'value' => 'Europe/Bucharest'),
		array('title' => 'Europe/Budapest', 'value' => 'Europe/Budapest'),
		array('title' => 'Europe/Chisinau', 'value' => 'Europe/Chisinau'),
		array('title' => 'Europe/Copenhagen', 'value' => 'Europe/Copenhagen'),
		array('title' => 'Europe/Dublin', 'value' => 'Europe/Dublin'),
		array('title' => 'Europe/Gibraltar', 'value' => 'Europe/Gibraltar'),
		array('title' => 'Europe/Guernsey', 'value' => 'Europe/Guernsey'),
		array('title' => 'Europe/Helsinki', 'value' => 'Europe/Helsinki'),
		array('title' => 'Europe/Isle_of_Man', 'value' => 'Europe/Isle_of_Man'),
		array('title' => 'Europe/Istanbul', 'value' => 'Europe/Istanbul'),
		array('title' => 'Europe/Jersey', 'value' => 'Europe/Jersey'),
		array('title' => 'Europe/Kaliningrad', 'value' => 'Europe/Kaliningrad'),
		array('title' => 'Europe/Kiev', 'value' => 'Europe/Kiev'),
		array('title' => 'Europe/Lisbon', 'value' => 'Europe/Lisbon'),
		array('title' => 'Europe/Ljubljana', 'value' => 'Europe/Ljubljana'),
		array('title' => 'Europe/London', 'value' => 'Europe/London'),
		array('title' => 'Europe/Luxembourg', 'value' => 'Europe/Luxembourg'),
		array('title' => 'Europe/Madrid', 'value' => 'Europe/Madrid'),
		array('title' => 'Europe/Malta', 'value' => 'Europe/Malta'),
		array('title' => 'Europe/Mariehamn', 'value' => 'Europe/Mariehamn'),
		array('title' => 'Europe/Minsk', 'value' => 'Europe/Minsk'),
		array('title' => 'Europe/Monaco', 'value' => 'Europe/Monaco'),
		array('title' => 'Europe/Moscow', 'value' => 'Europe/Moscow'),
		array('title' => 'Europe/Nicosia', 'value' => 'Europe/Nicosia'),
		array('title' => 'Europe/Oslo', 'value' => 'Europe/Oslo'),
		array('title' => 'Europe/Paris', 'value' => 'Europe/Paris'),
		array('title' => 'Europe/Podgorica', 'value' => 'Europe/Podgorica'),
		array('title' => 'Europe/Prague', 'value' => 'Europe/Prague'),
		array('title' => 'Europe/Riga', 'value' => 'Europe/Riga'),
		array('title' => 'Europe/Rome', 'value' => 'Europe/Rome'),
		array('title' => 'Europe/Samara', 'value' => 'Europe/Samara'),
		array('title' => 'Europe/San_Marino', 'value' => 'Europe/San_Marino'),
		array('title' => 'Europe/Sarajevo', 'value' => 'Europe/Sarajevo'),
		array('title' => 'Europe/Simferopol', 'value' => 'Europe/Simferopol'),
		array('title' => 'Europe/Skopje', 'value' => 'Europe/Skopje'),
		array('title' => 'Europe/Sofia', 'value' => 'Europe/Sofia'),
		array('title' => 'Europe/Stockholm', 'value' => 'Europe/Stockholm'),
		array('title' => 'Europe/Tallinn', 'value' => 'Europe/Tallinn'),
		array('title' => 'Europe/Tirane', 'value' => 'Europe/Tirane'),
		array('title' => 'Europe/Tiraspol', 'value' => 'Europe/Tiraspol'),
		array('title' => 'Europe/Uzhgorod', 'value' => 'Europe/Uzhgorod'),
		array('title' => 'Europe/Vaduz', 'value' => 'Europe/Vaduz'),
		array('title' => 'Europe/Vatican', 'value' => 'Europe/Vatican'),
		array('title' => 'Europe/Vienna', 'value' => 'Europe/Vienna'),
		array('title' => 'Europe/Vilnius', 'value' => 'Europe/Vilnius'),
		array('title' => 'Europe/Volgograd', 'value' => 'Europe/Volgograd'),
		array('title' => 'Europe/Warsaw', 'value' => 'Europe/Warsaw'),
		array('title' => 'Europe/Zagreb', 'value' => 'Europe/Zagreb'),
		array('title' => 'Europe/Zaporozhye', 'value' => 'Europe/Zaporozhye'),
		array('title' => 'Europe/Zurich', 'value' => 'Europe/Zurich'),
		array('title' => 'Brazil/Acre', 'value' => 'Brazil/Acre'),
		array('title' => 'Brazil/DeNoronha', 'value' => 'Brazil/DeNoronha'),
		array('title' => 'Brazil/East', 'value' => 'Brazil/East'),
		array('title' => 'Brazil/West', 'value' => 'Brazil/West'),
		array('title' => 'Australia/ACT', 'value' => 'Australia/ACT'),
		array('title' => 'Australia/Adelaide', 'value' => 'Australia/Adelaide'),
		array('title' => 'Australia/Brisbane', 'value' => 'Australia/Brisbane'),
		array('title' => 'Australia/Broken_Hill', 'value' => 'Australia/Broken_Hill'),
		array('title' => 'Australia/Canberra', 'value' => 'Australia/Canberra'),
		array('title' => 'Australia/Currie', 'value' => 'Australia/Currie'),
		array('title' => 'Australia/Darwin', 'value' => 'Australia/Darwin'),
		array('title' => 'Australia/Eucla', 'value' => 'Australia/Eucla'),
		array('title' => 'Australia/Hobart', 'value' => 'Australia/Hobart'),
		array('title' => 'Australia/LHI', 'value' => 'Australia/LHI'),
		array('title' => 'Australia/Lindeman', 'value' => 'Australia/Lindeman'),
		array('title' => 'Australia/Lord_Howe', 'value' => 'Australia/Lord_Howe'),
		array('title' => 'Australia/Melbourne', 'value' => 'Australia/Melbourne'),
		array('title' => 'Australia/North', 'value' => 'Australia/North'),
		array('title' => 'Australia/NSW', 'value' => 'Australia/NSW'),
		array('title' => 'Australia/Perth', 'value' => 'Australia/Perth'),
		array('title' => 'Australia/Queensland', 'value' => 'Australia/Queensland'),
		array('title' => 'Australia/South', 'value' => 'Australia/South'),
		array('title' => 'Australia/Sydney', 'value' => 'Australia/Sydney'),
		array('title' => 'Australia/Tasmania', 'value' => 'Australia/Tasmania'),
		array('title' => 'Australia/Victoria', 'value' => 'Australia/Victoria'),
		array('title' => 'Australia/West', 'value' => 'Australia/West'),
		array('title' => 'Australia/Yancowinna', 'value' => 'Australia/Yancowinna'),
		array('title' => 'Asia/Aden', 'value' => 'Asia/Aden'),
		array('title' => 'Asia/Almaty', 'value' => 'Asia/Almaty'),
		array('title' => 'Asia/Amman', 'value' => 'Asia/Amman'),
		array('title' => 'Asia/Anadyr', 'value' => 'Asia/Anadyr'),
		array('title' => 'Asia/Aqtau', 'value' => 'Asia/Aqtau'),
		array('title' => 'Asia/Aqtobe', 'value' => 'Asia/Aqtobe'),
		array('title' => 'Asia/Ashgabat', 'value' => 'Asia/Ashgabat'),
		array('title' => 'Asia/Ashkhabad', 'value' => 'Asia/Ashkhabad'),
		array('title' => 'Asia/Baghdad', 'value' => 'Asia/Baghdad'),
		array('title' => 'Asia/Bahrain', 'value' => 'Asia/Bahrain'),
		array('title' => 'Asia/Baku', 'value' => 'Asia/Baku'),
		array('title' => 'Asia/Bangkok', 'value' => 'Asia/Bangkok'),
		array('title' => 'Asia/Beirut', 'value' => 'Asia/Beirut'),
		array('title' => 'Asia/Bishkek', 'value' => 'Asia/Bishkek'),
		array('title' => 'Asia/Brunei', 'value' => 'Asia/Brunei'),
		array('title' => 'Asia/Calcutta', 'value' => 'Asia/Calcutta'),
		array('title' => 'Asia/Choibalsan', 'value' => 'Asia/Choibalsan'),
		array('title' => 'Asia/Chongqing', 'value' => 'Asia/Chongqing'),
		array('title' => 'Asia/Chungking', 'value' => 'Asia/Chungking'),
		array('title' => 'Asia/Colombo', 'value' => 'Asia/Colombo'),
		array('title' => 'Asia/Dacca', 'value' => 'Asia/Dacca'),
		array('title' => 'Asia/Damascus', 'value' => 'Asia/Damascus'),
		array('title' => 'Asia/Dhaka', 'value' => 'Asia/Dhaka'),
		array('title' => 'Asia/Dili', 'value' => 'Asia/Dili'),
		array('title' => 'Asia/Dubai', 'value' => 'Asia/Dubai'),
		array('title' => 'Asia/Dushanbe', 'value' => 'Asia/Dushanbe'),
		array('title' => 'Asia/Gaza', 'value' => 'Asia/Gaza'),
		array('title' => 'Asia/Harbin', 'value' => 'Asia/Harbin'),
		array('title' => 'Asia/Hong_Kong', 'value' => 'Asia/Hong_Kong'),
		array('title' => 'Asia/Hovd', 'value' => 'Asia/Hovd'),
		array('title' => 'Asia/Irkutsk', 'value' => 'Asia/Irkutsk'),
		array('title' => 'Asia/Istanbul', 'value' => 'Asia/Istanbul'),
		array('title' => 'Asia/Jakarta', 'value' => 'Asia/Jakarta'),
		array('title' => 'Asia/Jayapura', 'value' => 'Asia/Jayapura'),
		array('title' => 'Asia/Jerusalem', 'value' => 'Asia/Jerusalem'),
		array('title' => 'Asia/Kabul', 'value' => 'Asia/Kabul'),
		array('title' => 'Asia/Kamchatka', 'value' => 'Asia/Kamchatka'),
		array('title' => 'Asia/Karachi', 'value' => 'Asia/Karachi'),
		array('title' => 'Asia/Kashgar', 'value' => 'Asia/Kashgar'),
		array('title' => 'Asia/Katmandu', 'value' => 'Asia/Katmandu'),
		array('title' => 'Asia/Krasnoyarsk', 'value' => 'Asia/Krasnoyarsk'),
		array('title' => 'Asia/Kuala_Lumpur', 'value' => 'Asia/Kuala_Lumpur'),
		array('title' => 'Asia/Kuching', 'value' => 'Asia/Kuching'),
		array('title' => 'Asia/Kuwait', 'value' => 'Asia/Kuwait'),
		array('title' => 'Asia/Macao', 'value' => 'Asia/Macao'),
		array('title' => 'Asia/Macau', 'value' => 'Asia/Macau'),
		array('title' => 'Asia/Magadan', 'value' => 'Asia/Magadan'),
		array('title' => 'Asia/Makassar', 'value' => 'Asia/Makassar'),
		array('title' => 'Asia/Manila', 'value' => 'Asia/Manila'),
		array('title' => 'Asia/Muscat', 'value' => 'Asia/Muscat'),
		array('title' => 'Asia/Nicosia', 'value' => 'Asia/Nicosia'),
		array('title' => 'Asia/Novosibirsk', 'value' => 'Asia/Novosibirsk'),
		array('title' => 'Asia/Omsk', 'value' => 'Asia/Omsk'),
		array('title' => 'Asia/Oral', 'value' => 'Asia/Oral'),
		array('title' => 'Asia/Phnom_Penh', 'value' => 'Asia/Phnom_Penh'),
		array('title' => 'Asia/Pontianak', 'value' => 'Asia/Pontianak'),
		array('title' => 'Asia/Pyongyang', 'value' => 'Asia/Pyongyang'),
		array('title' => 'Asia/Qatar', 'value' => 'Asia/Qatar'),
		array('title' => 'Asia/Qyzylorda', 'value' => 'Asia/Qyzylorda'),
		array('title' => 'Asia/Rangoon', 'value' => 'Asia/Rangoon'),
		array('title' => 'Asia/Riyadh', 'value' => 'Asia/Riyadh'),
		array('title' => 'Asia/Saigon', 'value' => 'Asia/Saigon'),
		array('title' => 'Asia/Sakhalin', 'value' => 'Asia/Sakhalin'),
		array('title' => 'Asia/Samarkand', 'value' => 'Asia/Samarkand'),
		array('title' => 'Asia/Seoul', 'value' => 'Asia/Seoul'),
		array('title' => 'Asia/Shanghai', 'value' => 'Asia/Shanghai'),
		array('title' => 'Asia/Singapore', 'value' => 'Asia/Singapore'),
		array('title' => 'Asia/Taipei', 'value' => 'Asia/Taipei'),
		array('title' => 'Asia/Tashkent', 'value' => 'Asia/Tashkent'),
		array('title' => 'Asia/Tbilisi', 'value' => 'Asia/Tbilisi'),
		array('title' => 'Asia/Tehran', 'value' => 'Asia/Tehran'),
		array('title' => 'Asia/Tel_Aviv', 'value' => 'Asia/Tel_Aviv'),
		array('title' => 'Asia/Thimbu', 'value' => 'Asia/Thimbu'),
		array('title' => 'Asia/Thimphu', 'value' => 'Asia/Thimphu'),
		array('title' => 'Asia/Tokyo', 'value' => 'Asia/Tokyo'),
		array('title' => 'Asia/Ujung_Pandang', 'value' => 'Asia/Ujung_Pandang'),
		array('title' => 'Asia/Ulaanbaatar', 'value' => 'Asia/Ulaanbaatar'),
		array('title' => 'Asia/Ulan_Bator', 'value' => 'Asia/Ulan_Bator'),
		array('title' => 'Asia/Urumqi', 'value' => 'Asia/Urumqi'),
		array('title' => 'Asia/Vientiane', 'value' => 'Asia/Vientiane'),
		array('title' => 'Asia/Vladivostok', 'value' => 'Asia/Vladivostok'),
		array('title' => 'Asia/Yakutsk', 'value' => 'Asia/Yakutsk'),
		array('title' => 'Asia/Yekaterinburg', 'value' => 'Asia/Yekaterinburg'),
		array('title' => 'Asia/Yerevan', 'value' => 'Asia/Yerevan'),
		array('title' => 'America/Adak', 'value' => 'America/Adak'),
		array('title' => 'America/Anchorage', 'value' => 'America/Anchorage'),
		array('title' => 'America/Anguilla', 'value' => 'America/Anguilla'),
		array('title' => 'America/Antigua', 'value' => 'America/Antigua'),
		array('title' => 'America/Araguaina', 'value' => 'America/Araguaina'),
		array('title' => 'America/Argentina/Buenos_Aires', 'value' => 'America/Argentina/Buenos_Aires'),
		array('title' => 'America/Argentina/Catamarca', 'value' => 'America/Argentina/Catamarca'),
		array('title' => 'America/Argentina/ComodRivadavia', 'value' => 'America/Argentina/ComodRivadavia'),
		array('title' => 'America/Argentina/Cordoba', 'value' => 'America/Argentina/Cordoba'),
		array('title' => 'America/Argentina/Jujuy', 'value' => 'America/Argentina/Jujuy'),
		array('title' => 'America/Argentina/La_Rioja', 'value' => 'America/Argentina/La_Rioja'),
		array('title' => 'America/Argentina/Mendoza', 'value' => 'America/Argentina/Mendoza'),
		array('title' => 'America/Argentina/Rio_Gallegos', 'value' => 'America/Argentina/Rio_Gallegos'),
		array('title' => 'America/Argentina/San_Juan', 'value' => 'America/Argentina/San_Juan'),
		array('title' => 'America/Argentina/Tucuman', 'value' => 'America/Argentina/Tucuman'),
		array('title' => 'America/Argentina/Ushuaia', 'value' => 'America/Argentina/Ushuaia'),
		array('title' => 'America/Aruba', 'value' => 'America/Aruba'),
		array('title' => 'America/Asuncion', 'value' => 'America/Asuncion'),
		array('title' => 'America/Atikokan', 'value' => 'America/Atikokan'),
		array('title' => 'America/Atka', 'value' => 'America/Atka'),
		array('title' => 'America/Bahia', 'value' => 'America/Bahia'),
		array('title' => 'America/Barbados', 'value' => 'America/Barbados'),
		array('title' => 'America/Belem', 'value' => 'America/Belem'),
		array('title' => 'America/Belize', 'value' => 'America/Belize'),
		array('title' => 'America/Blanc-Sablon', 'value' => 'America/Blanc-Sablon'),
		array('title' => 'America/Boa_Vista', 'value' => 'America/Boa_Vista'),
		array('title' => 'America/Bogota', 'value' => 'America/Bogota'),
		array('title' => 'America/Boise', 'value' => 'America/Boise'),
		array('title' => 'America/Buenos_Aires', 'value' => 'America/Buenos_Aires'),
		array('title' => 'America/Cambridge_Bay', 'value' => 'America/Cambridge_Bay'),
		array('title' => 'America/Campo_Grande', 'value' => 'America/Campo_Grande'),
		array('title' => 'America/Cancun', 'value' => 'America/Cancun'),
		array('title' => 'America/Caracas', 'value' => 'America/Caracas'),
		array('title' => 'America/Catamarca', 'value' => 'America/Catamarca'),
		array('title' => 'America/Cayenne', 'value' => 'America/Cayenne'),
		array('title' => 'America/Cayman', 'value' => 'America/Cayman'),
		array('title' => 'America/Chicago', 'value' => 'America/Chicago'),
		array('title' => 'America/Chihuahua', 'value' => 'America/Chihuahua'),
		array('title' => 'America/Coral_Harbour', 'value' => 'America/Coral_Harbour'),
		array('title' => 'America/Cordoba', 'value' => 'America/Cordoba'),
		array('title' => 'America/Costa_Rica', 'value' => 'America/Costa_Rica'),
		array('title' => 'America/Cuiaba', 'value' => 'America/Cuiaba'),
		array('title' => 'America/Curacao', 'value' => 'America/Curacao'),
		array('title' => 'America/Danmarkshavn', 'value' => 'America/Danmarkshavn'),
		array('title' => 'America/Dawson', 'value' => 'America/Dawson'),
		array('title' => 'America/Dawson_Creek', 'value' => 'America/Dawson_Creek'),
		array('title' => 'America/Denver', 'value' => 'America/Denver'),
		array('title' => 'America/Detroit', 'value' => 'America/Detroit'),
		array('title' => 'America/Dominica', 'value' => 'America/Dominica'),
		array('title' => 'America/Edmonton', 'value' => 'America/Edmonton'),
		array('title' => 'America/Eirunepe', 'value' => 'America/Eirunepe'),
		array('title' => 'America/El_Salvador', 'value' => 'America/El_Salvador'),
		array('title' => 'America/Ensenada', 'value' => 'America/Ensenada'),
		array('title' => 'America/Fort_Wayne', 'value' => 'America/Fort_Wayne'),
		array('title' => 'America/Fortaleza', 'value' => 'America/Fortaleza'),
		array('title' => 'America/Glace_Bay', 'value' => 'America/Glace_Bay'),
		array('title' => 'America/Godthab', 'value' => 'America/Godthab'),
		array('title' => 'America/Goose_Bay', 'value' => 'America/Goose_Bay'),
		array('title' => 'America/Grand_Turk', 'value' => 'America/Grand_Turk'),
		array('title' => 'America/Grenada', 'value' => 'America/Grenada'),
		array('title' => 'America/Guadeloupe', 'value' => 'America/Guadeloupe'),
		array('title' => 'America/Guatemala', 'value' => 'America/Guatemala'),
		array('title' => 'America/Guayaquil', 'value' => 'America/Guayaquil'),
		array('title' => 'America/Guyana', 'value' => 'America/Guyana'),
		array('title' => 'America/Halifax', 'value' => 'America/Halifax'),
		array('title' => 'America/Havana', 'value' => 'America/Havana'),
		array('title' => 'America/Hermosillo', 'value' => 'America/Hermosillo'),
		array('title' => 'America/Indiana/Indianapolis', 'value' => 'America/Indiana/Indianapolis'),
		array('title' => 'America/Indiana/Knox', 'value' => 'America/Indiana/Knox'),
		array('title' => 'America/Indiana/Marengo', 'value' => 'America/Indiana/Marengo'),
		array('title' => 'America/Indiana/Petersburg', 'value' => 'America/Indiana/Petersburg'),
		array('title' => 'America/Indiana/Tell_City', 'value' => 'America/Indiana/Tell_City'),
		array('title' => 'America/Indiana/Vevay', 'value' => 'America/Indiana/Vevay'),
		array('title' => 'America/Indiana/Vincennes', 'value' => 'America/Indiana/Vincennes'),
		array('title' => 'America/Indiana/Winamac', 'value' => 'America/Indiana/Winamac'),
		array('title' => 'America/Indianapolis', 'value' => 'America/Indianapolis'),
		array('title' => 'America/Inuvik', 'value' => 'America/Inuvik'),
		array('title' => 'America/Iqaluit', 'value' => 'America/Iqaluit'),
		array('title' => 'America/Jamaica', 'value' => 'America/Jamaica'),
		array('title' => 'America/Jujuy', 'value' => 'America/Jujuy'),
		array('title' => 'America/Juneau', 'value' => 'America/Juneau'),
		array('title' => 'America/Kentucky/Louisville', 'value' => 'America/Kentucky/Louisville'),
		array('title' => 'America/Kentucky/Monticello', 'value' => 'America/Kentucky/Monticello'),
		array('title' => 'America/Knox_IN', 'value' => 'America/Knox_IN'),
		array('title' => 'America/La_Paz', 'value' => 'America/La_Paz'),
		array('title' => 'America/Lima', 'value' => 'America/Lima'),
		array('title' => 'America/Los_Angeles', 'value' => 'America/Los_Angeles'),
		array('title' => 'America/Louisville', 'value' => 'America/Louisville'),
		array('title' => 'America/Maceio', 'value' => 'America/Maceio'),
		array('title' => 'America/Managua', 'value' => 'America/Managua'),
		array('title' => 'America/Manaus', 'value' => 'America/Manaus'),
		array('title' => 'America/Martinique', 'value' => 'America/Martinique'),
		array('title' => 'America/Mazatlan', 'value' => 'America/Mazatlan'),
		array('title' => 'America/Mendoza', 'value' => 'America/Mendoza'),
		array('title' => 'America/Menominee', 'value' => 'America/Menominee'),
		array('title' => 'America/Merida', 'value' => 'America/Merida'),
		array('title' => 'America/Mexico_City', 'value' => 'America/Mexico_City'),
		array('title' => 'America/Miquelon', 'value' => 'America/Miquelon'),
		array('title' => 'America/Moncton', 'value' => 'America/Moncton'),
		array('title' => 'America/Monterrey', 'value' => 'America/Monterrey'),
		array('title' => 'America/Montevideo', 'value' => 'America/Montevideo'),
		array('title' => 'America/Montreal', 'value' => 'America/Montreal'),
		array('title' => 'America/Montserrat', 'value' => 'America/Montserrat'),
		array('title' => 'America/Nassau', 'value' => 'America/Nassau'),
		array('title' => 'America/New_York', 'value' => 'America/New_York'),
		array('title' => 'America/Nipigon', 'value' => 'America/Nipigon'),
		array('title' => 'America/Nome', 'value' => 'America/Nome'),
		array('title' => 'America/Noronha', 'value' => 'America/Noronha'),
		array('title' => 'America/North_Dakota/Center', 'value' => 'America/North_Dakota/Center'),
		array('title' => 'America/North_Dakota/New_Salem', 'value' => 'America/North_Dakota/New_Salem'),
		array('title' => 'America/Panama', 'value' => 'America/Panama'),
		array('title' => 'America/Pangnirtung', 'value' => 'America/Pangnirtung'),
		array('title' => 'America/Paramaribo', 'value' => 'America/Paramaribo'),
		array('title' => 'America/Phoenix', 'value' => 'America/Phoenix'),
		array('title' => 'America/Port-au-Prince', 'value' => 'America/Port-au-Prince'),
		array('title' => 'America/Port_of_Spain', 'value' => 'America/Port_of_Spain'),
		array('title' => 'America/Porto_Acre', 'value' => 'America/Porto_Acre'),
		array('title' => 'America/Porto_Velho', 'value' => 'America/Porto_Velho'),
		array('title' => 'America/Puerto_Rico', 'value' => 'America/Puerto_Rico'),
		array('title' => 'America/Rainy_River', 'value' => 'America/Rainy_River'),
		array('title' => 'America/Rankin_Inlet', 'value' => 'America/Rankin_Inlet'),
		array('title' => 'America/Recife', 'value' => 'America/Recife'),
		array('title' => 'America/Regina', 'value' => 'America/Regina'),
		array('title' => 'America/Resolute', 'value' => 'America/Resolute'),
		array('title' => 'America/Rio_Branco', 'value' => 'America/Rio_Branco'),
		array('title' => 'America/Rosario', 'value' => 'America/Rosario'),
		array('title' => 'America/Santiago', 'value' => 'America/Santiago'),
		array('title' => 'America/Santo_Domingo', 'value' => 'America/Santo_Domingo'),
		array('title' => 'America/Sao_Paulo', 'value' => 'America/Sao_Paulo'),
		array('title' => 'America/Scoresbysund', 'value' => 'America/Scoresbysund'),
		array('title' => 'America/Shiprock', 'value' => 'America/Shiprock'),
		array('title' => 'America/St_Johns', 'value' => 'America/St_Johns'),
		array('title' => 'America/St_Kitts', 'value' => 'America/St_Kitts'),
		array('title' => 'America/St_Lucia', 'value' => 'America/St_Lucia'),
		array('title' => 'America/St_Thomas', 'value' => 'America/St_Thomas'),
		array('title' => 'America/St_Vincent', 'value' => 'America/St_Vincent'),
		array('title' => 'America/Swift_Current', 'value' => 'America/Swift_Current'),
		array('title' => 'America/Tegucigalpa', 'value' => 'America/Tegucigalpa'),
		array('title' => 'America/Thule', 'value' => 'America/Thule'),
		array('title' => 'America/Thunder_Bay', 'value' => 'America/Thunder_Bay'),
		array('title' => 'America/Tijuana', 'value' => 'America/Tijuana'),
		array('title' => 'America/Toronto', 'value' => 'America/Toronto'),
		array('title' => 'America/Tortola', 'value' => 'America/Tortola'),
		array('title' => 'America/Vancouver', 'value' => 'America/Vancouver'),
		array('title' => 'America/Virgin', 'value' => 'America/Virgin'),
		array('title' => 'America/Whitehorse', 'value' => 'America/Whitehorse'),
		array('title' => 'America/Winnipeg', 'value' => 'America/Winnipeg'),
		array('title' => 'America/Yakutat', 'value' => 'America/Yakutat'),
		array('title' => 'America/Yellowknife', 'value' => 'America/Yellowknife'),
		array('title' => 'Africa/Abidjan', 'value' => 'Africa/Abidjan'),
		array('title' => 'Africa/Accra', 'value' => 'Africa/Accra'),
		array('title' => 'Africa/Addis_Ababa', 'value' => 'Africa/Addis_Ababa'),
		array('title' => 'Africa/Algiers', 'value' => 'Africa/Algiers'),
		array('title' => 'Africa/Asmara', 'value' => 'Africa/Asmara'),
		array('title' => 'Africa/Asmera', 'value' => 'Africa/Asmera'),
		array('title' => 'Africa/Bamako', 'value' => 'Africa/Bamako'),
		array('title' => 'Africa/Bangui', 'value' => 'Africa/Bangui'),
		array('title' => 'Africa/Banjul', 'value' => 'Africa/Banjul'),
		array('title' => 'Africa/Bissau', 'value' => 'Africa/Bissau'),
		array('title' => 'Africa/Blantyre', 'value' => 'Africa/Blantyre'),
		array('title' => 'Africa/Brazzaville', 'value' => 'Africa/Brazzaville'),
		array('title' => 'Africa/Bujumbura', 'value' => 'Africa/Bujumbura'),
		array('title' => 'Africa/Cairo', 'value' => 'Africa/Cairo'),
		array('title' => 'Africa/Casablanca', 'value' => 'Africa/Casablanca'),
		array('title' => 'Africa/Ceuta', 'value' => 'Africa/Ceuta'),
		array('title' => 'Africa/Conakry', 'value' => 'Africa/Conakry'),
		array('title' => 'Africa/Dakar', 'value' => 'Africa/Dakar'),
		array('title' => 'Africa/Dar_es_Salaam', 'value' => 'Africa/Dar_es_Salaam'),
		array('title' => 'Africa/Djibouti', 'value' => 'Africa/Djibouti'),
		array('title' => 'Africa/Douala', 'value' => 'Africa/Douala'),
		array('title' => 'Africa/El_Aaiun', 'value' => 'Africa/El_Aaiun'),
		array('title' => 'Africa/Freetown', 'value' => 'Africa/Freetown'),
		array('title' => 'Africa/Gaborone', 'value' => 'Africa/Gaborone'),
		array('title' => 'Africa/Harare', 'value' => 'Africa/Harare'),
		array('title' => 'Africa/Johannesburg', 'value' => 'Africa/Johannesburg'),
		array('title' => 'Africa/Kampala', 'value' => 'Africa/Kampala'),
		array('title' => 'Africa/Khartoum', 'value' => 'Africa/Khartoum'),
		array('title' => 'Africa/Kigali', 'value' => 'Africa/Kigali'),
		array('title' => 'Africa/Kinshasa', 'value' => 'Africa/Kinshasa'),
		array('title' => 'Africa/Lagos', 'value' => 'Africa/Lagos'),
		array('title' => 'Africa/Libreville', 'value' => 'Africa/Libreville'),
		array('title' => 'Africa/Lome', 'value' => 'Africa/Lome'),
		array('title' => 'Africa/Luanda', 'value' => 'Africa/Luanda'),
		array('title' => 'Africa/Lubumbashi', 'value' => 'Africa/Lubumbashi'),
		array('title' => 'Africa/Lusaka', 'value' => 'Africa/Lusaka'),
		array('title' => 'Africa/Malabo', 'value' => 'Africa/Malabo'),
		array('title' => 'Africa/Maputo', 'value' => 'Africa/Maputo'),
		array('title' => 'Africa/Maseru', 'value' => 'Africa/Maseru'),
		array('title' => 'Africa/Mbabane', 'value' => 'Africa/Mbabane'),
		array('title' => 'Africa/Mogadishu', 'value' => 'Africa/Mogadishu'),
		array('title' => 'Africa/Monrovia', 'value' => 'Africa/Monrovia'),
		array('title' => 'Africa/Nairobi', 'value' => 'Africa/Nairobi'),
		array('title' => 'Africa/Ndjamena', 'value' => 'Africa/Ndjamena'),
		array('title' => 'Africa/Niamey', 'value' => 'Africa/Niamey'),
		array('title' => 'Africa/Nouakchott', 'value' => 'Africa/Nouakchott'),
		array('title' => 'Africa/Ouagadougou', 'value' => 'Africa/Ouagadougou'),
		array('title' => 'Africa/Porto-Novo', 'value' => 'Africa/Porto-Novo'),
		array('title' => 'Africa/Sao_Tome', 'value' => 'Africa/Sao_Tome'),
		array('title' => 'Africa/Timbuktu', 'value' => 'Africa/Timbuktu'),
		array('title' => 'Africa/Tripoli', 'value' => 'Africa/Tripoli'),
		array('title' => 'Africa/Tunis', 'value' => 'Africa/Tunis'),
		array('title' => 'Africa/Windhoek', 'value' => 'Africa/Windhoek'),
		array('title' => 'Atlantic/Azores', 'value' => 'Atlantic/Azores'),
		array('title' => 'Atlantic/Bermuda', 'value' => 'Atlantic/Bermuda'),
		array('title' => 'Atlantic/Canary', 'value' => 'Atlantic/Canary'),
		array('title' => 'Atlantic/Cape_Verde', 'value' => 'Atlantic/Cape_Verde'),
		array('title' => 'Atlantic/Faeroe', 'value' => 'Atlantic/Faeroe'),
		array('title' => 'Atlantic/Faroe', 'value' => 'Atlantic/Faroe'),
		array('title' => 'Atlantic/Jan_Mayen', 'value' => 'Atlantic/Jan_Mayen'),
		array('title' => 'Atlantic/Madeira', 'value' => 'Atlantic/Madeira'),
		array('title' => 'Atlantic/Reykjavik', 'value' => 'Atlantic/Reykjavik'),
		array('title' => 'Atlantic/South_Georgia', 'value' => 'Atlantic/South_Georgia'),
		array('title' => 'Atlantic/St_Helena', 'value' => 'Atlantic/St_Helena'),
		array('title' => 'Atlantic/Stanley', 'value' => 'Atlantic/Stanley'),
		array('title' => 'CET', 'value' => 'CET'),
		array('title' => 'Chile/Continental', 'value' => 'Chile/Continental'),
		array('title' => 'Chile/EasterIsland', 'value' => 'Chile/EasterIsland'),
		array('title' => 'EET', 'value' => 'EET'),
		array('title' => 'EST', 'value' => 'EST'),
		array('title' => 'Etc/GMT', 'value' => 'Etc/GMT'),
		array('title' => 'Etc/GMT+0', 'value' => 'Etc/GMT+0'),
		array('title' => 'Etc/GMT+1', 'value' => 'Etc/GMT+1'),
		array('title' => 'Etc/GMT+10', 'value' => 'Etc/GMT+10'),
		array('title' => 'Etc/GMT+11', 'value' => 'Etc/GMT+11'),
		array('title' => 'Etc/GMT+12', 'value' => 'Etc/GMT+12'),
		array('title' => 'Etc/GMT+2', 'value' => 'Etc/GMT+2'),
		array('title' => 'Etc/GMT+3', 'value' => 'Etc/GMT+3'),
		array('title' => 'Etc/GMT+4', 'value' => 'Etc/GMT+4'),
		array('title' => 'Etc/GMT+5', 'value' => 'Etc/GMT+5'),
		array('title' => 'Etc/GMT+6', 'value' => 'Etc/GMT+6'),
		array('title' => 'Etc/GMT+7', 'value' => 'Etc/GMT+7'),
		array('title' => 'Etc/GMT+8', 'value' => 'Etc/GMT+8'),
		array('title' => 'Etc/GMT+9', 'value' => 'Etc/GMT+9'),
		array('title' => 'Etc/GMT-0', 'value' => 'Etc/GMT-0'),
		array('title' => 'Etc/GMT-1', 'value' => 'Etc/GMT-1'),
		array('title' => 'Etc/GMT-10', 'value' => 'Etc/GMT-10'),
		array('title' => 'Etc/GMT-11', 'value' => 'Etc/GMT-11'),
		array('title' => 'Etc/GMT-12', 'value' => 'Etc/GMT-12'),
		array('title' => 'Etc/GMT-13', 'value' => 'Etc/GMT-13'),
		array('title' => 'Etc/GMT-14', 'value' => 'Etc/GMT-14'),
		array('title' => 'Etc/GMT-2', 'value' => 'Etc/GMT-2'),
		array('title' => 'Etc/GMT-3', 'value' => 'Etc/GMT-3'),
		array('title' => 'Etc/GMT-4', 'value' => 'Etc/GMT-4'),
		array('title' => 'Etc/GMT-5', 'value' => 'Etc/GMT-5'),
		array('title' => 'Etc/GMT-6', 'value' => 'Etc/GMT-6'),
		array('title' => 'Etc/GMT-7', 'value' => 'Etc/GMT-7'),
		array('title' => 'Etc/GMT-8', 'value' => 'Etc/GMT-8'),
		array('title' => 'Etc/GMT-9', 'value' => 'Etc/GMT-9'),
		array('title' => 'Etc/GMT0', 'value' => 'Etc/GMT0'),
		array('title' => 'Etc/Greenwich', 'value' => 'Etc/Greenwich'),
		array('title' => 'Etc/UCT', 'value' => 'Etc/UCT'),
		array('title' => 'Etc/Universal', 'value' => 'Etc/Universal'),
		array('title' => 'Etc/UTC', 'value' => 'Etc/UTC'),
		array('title' => 'Etc/Zulu', 'value' => 'Etc/Zulu'),
		array('title' => 'GB', 'value' => 'GB'),
		array('title' => 'GMT', 'value' => 'GMT'),
		array('title' => 'GMT+0', 'value' => 'GMT+0'),
		array('title' => 'GMT-0', 'value' => 'GMT-0'),
		array('title' => 'HST', 'value' => 'HST'),
		array('title' => 'Indian/Antananarivo', 'value' => 'Indian/Antananarivo'),
		array('title' => 'Indian/Chagos', 'value' => 'Indian/Chagos'),
		array('title' => 'Indian/Christmas', 'value' => 'Indian/Christmas'),
		array('title' => 'Indian/Cocos', 'value' => 'Indian/Cocos'),
		array('title' => 'Indian/Comoro', 'value' => 'Indian/Comoro'),
		array('title' => 'Indian/Kerguelen', 'value' => 'Indian/Kerguelen'),
		array('title' => 'Indian/Mahe', 'value' => 'Indian/Mahe'),
		array('title' => 'Indian/Maldives', 'value' => 'Indian/Maldives'),
		array('title' => 'Indian/Mauritius', 'value' => 'Indian/Mauritius'),
		array('title' => 'Indian/Mayotte', 'value' => 'Indian/Mayotte'),
		array('title' => 'Indian/Reunion', 'value' => 'Indian/Reunion'),
		array('title' => 'MET', 'value' => 'MET'),
		array('title' => 'Mexico/BajaNorte', 'value' => 'Mexico/BajaNorte'),
		array('title' => 'Mexico/BajaSur', 'value' => 'Mexico/BajaSur'),
		array('title' => 'Mexico/General', 'value' => 'Mexico/General'),
		array('title' => 'MST', 'value' => 'MST'),
		array('title' => 'NZ', 'value' => 'NZ'),
		array('title' => 'Pacific/Apia', 'value' => 'Pacific/Apia'),
		array('title' => 'Pacific/Auckland', 'value' => 'Pacific/Auckland'),
		array('title' => 'Pacific/Chatham', 'value' => 'Pacific/Chatham'),
		array('title' => 'Pacific/Easter', 'value' => 'Pacific/Easter'),
		array('title' => 'Pacific/Efate', 'value' => 'Pacific/Efate'),
		array('title' => 'Pacific/Enderbury', 'value' => 'Pacific/Enderbury'),
		array('title' => 'Pacific/Fakaofo', 'value' => 'Pacific/Fakaofo'),
		array('title' => 'Pacific/Fiji', 'value' => 'Pacific/Fiji'),
		array('title' => 'Pacific/Funafuti', 'value' => 'Pacific/Funafuti'),
		array('title' => 'Pacific/Galapagos', 'value' => 'Pacific/Galapagos'),
		array('title' => 'Pacific/Gambier', 'value' => 'Pacific/Gambier'),
		array('title' => 'Pacific/Guadalcanal', 'value' => 'Pacific/Guadalcanal'),
		array('title' => 'Pacific/Guam', 'value' => 'Pacific/Guam'),
		array('title' => 'Pacific/Honolulu', 'value' => 'Pacific/Honolulu'),
		array('title' => 'Pacific/Johnston', 'value' => 'Pacific/Johnston'),
		array('title' => 'Pacific/Kiritimati', 'value' => 'Pacific/Kiritimati'),
		array('title' => 'Pacific/Kosrae', 'value' => 'Pacific/Kosrae'),
		array('title' => 'Pacific/Kwajalein', 'value' => 'Pacific/Kwajalein'),
		array('title' => 'Pacific/Majuro', 'value' => 'Pacific/Majuro'),
		array('title' => 'Pacific/Marquesas', 'value' => 'Pacific/Marquesas'),
		array('title' => 'Pacific/Midway', 'value' => 'Pacific/Midway'),
		array('title' => 'Pacific/Nauru', 'value' => 'Pacific/Nauru'),
		array('title' => 'Pacific/Niue', 'value' => 'Pacific/Niue'),
		array('title' => 'Pacific/Norfolk', 'value' => 'Pacific/Norfolk'),
		array('title' => 'Pacific/Noumea', 'value' => 'Pacific/Noumea'),
		array('title' => 'Pacific/Pago_Pago', 'value' => 'Pacific/Pago_Pago'),
		array('title' => 'Pacific/Palau', 'value' => 'Pacific/Palau'),
		array('title' => 'Pacific/Pitcairn', 'value' => 'Pacific/Pitcairn'),
		array('title' => 'Pacific/Ponape', 'value' => 'Pacific/Ponape'),
		array('title' => 'Pacific/Port_Moresby', 'value' => 'Pacific/Port_Moresby'),
		array('title' => 'Pacific/Rarotonga', 'value' => 'Pacific/Rarotonga'),
		array('title' => 'Pacific/Saipan', 'value' => 'Pacific/Saipan'),
		array('title' => 'Pacific/Samoa', 'value' => 'Pacific/Samoa'),
		array('title' => 'Pacific/Tahiti', 'value' => 'Pacific/Tahiti'),
		array('title' => 'Pacific/Tarawa', 'value' => 'Pacific/Tarawa'),
		array('title' => 'Pacific/Tongatapu', 'value' => 'Pacific/Tongatapu'),
		array('title' => 'Pacific/Truk', 'value' => 'Pacific/Truk'),
		array('title' => 'Pacific/Wake', 'value' => 'Pacific/Wake'),
		array('title' => 'Pacific/Wallis', 'value' => 'Pacific/Wallis'),
		array('title' => 'Pacific/Yap', 'value' => 'Pacific/Yap'),
		array('title' => 'Antarctica/Casey', 'value' => 'Antarctica/Casey'),
		array('title' => 'Antarctica/Davis', 'value' => 'Antarctica/Davis'),
		array('title' => 'Antarctica/DumontDUrville', 'value' => 'Antarctica/DumontDUrville'),
		array('title' => 'Antarctica/Mawson', 'value' => 'Antarctica/Mawson'),
		array('title' => 'Antarctica/McMurdo', 'value' => 'Antarctica/McMurdo'),
		array('title' => 'Antarctica/Palmer', 'value' => 'Antarctica/Palmer'),
		array('title' => 'Antarctica/Rothera', 'value' => 'Antarctica/Rothera'),
		array('title' => 'Antarctica/South_Pole', 'value' => 'Antarctica/South_Pole'),
		array('title' => 'Antarctica/Syowa', 'value' => 'Antarctica/Syowa'),
		array('title' => 'Antarctica/Vostok', 'value' => 'Antarctica/Vostok'),
		array('title' => 'Arctic/Longyearbyen', 'value' => 'Arctic/Longyearbyen'),
		array('title' => 'PRC', 'value' => 'PRC'),
		array('title' => 'ROC', 'value' => 'ROC'),
		array('title' => 'ROK', 'value' => 'ROK'),
		array('title' => 'UCT', 'value' => 'UCT'),
		array('title' => 'WET', 'value' => 'WET'));

		return $_timeZoneList;
	}
}
?>